Package Details: zork1 1-11

Git Clone URL: https://aur.archlinux.org/zork1.git (read-only, click to copy)
Package Base: zork1
Description: Zork I adventure game (for Infocom's z-code interpreter)
Upstream URL: None
Licenses: custom
Submitter: darose
Maintainer: darose
Last Packager: darose
Votes: 48
Popularity: 0.61
First Submitted: 2005-04-12 04:32
Last Updated: 2016-09-18 15:00

Latest Comments

1 2 Next › Last »

darose commented on 2020-07-30 15:58

Yeah, like @fordprefect said, Zork is a really old game, and so doesn't really have any upstream URL per se. (It pre-dates web sites altogether! Plus, Infocom, the company that made it, hasn't been in business for decades.) The closest thing to an "Upstream URL" for it would be the Infocom game fan site http://infocom.elsewhere.org . But that's really an unofficial site, and not even solely dedicated to Zork. So not sure it's worth listing as the url.

fordprefect commented on 2020-07-24 07:15

@caltlgin: before bossing around you could maybe try to find out what that game is… Since this is very ancient, no official website exists. That game is much older than you, presumably, as it dates from the early 80s.

jsteel commented on 2016-09-19 16:55

Ah, rebuild of jzip fixed it. Thanks

darose commented on 2016-09-19 02:11

FYI, a quick google turned up these threads that might have something to do with your issue:

https://bbs.archlinux.org/viewtopic.php?id=202562
https://lists.archlinux.org/pipermail/arch-general/2015-September/039844.html

darose commented on 2016-09-19 02:09

Odd. I've not heard of anyone else running into this issue. And I don't even have that file installed at all:

$ ls -1 /usr/lib/libncurses*
/usr/lib/libncurses.so
/usr/lib/libncurses++.so
/usr/lib/libncurses++w.so
/usr/lib/libncursesw.so
/usr/lib/libncurses++w.so.6
/usr/lib/libncursesw.so.6
/usr/lib/libncurses++w.so.6.0
/usr/lib/libncursesw.so.6.0

And these are all the curses packages I have installed:

$ pacman -Q | grep curses
lib32-ncurses 6.0-2
ncurses 6.0-4
perl-curses 1.33-2

Perhaps try making sure you have the most recent versions of each of these installed.

And you can also try rebuilding the jzip package. Perhaps it got built against an older version of the curses libraries.

jsteel commented on 2016-09-18 18:53

Without ncurses5-compat-libs I get:

jzip: error while loading shared libraries: libncursesw.so.5: cannot open shared object file: No such file or directory

Maybe you have something else providing you with that file?

darose commented on 2016-09-18 15:10

@jsteel I don't believe the ncurses5-compat-libs dependency is necessary. I don't have that installed and I'm able to run the game fine.

darose commented on 2016-09-18 15:02

Fixed license array issue. And integrated the new maps. (Thanks @Ziusudra.) Apologies for the long delay!

darose commented on 2016-09-16 19:55

Sorry, I'll try to release a new version this weekend.

spurious_access commented on 2016-09-14 21:29

License line appears to be wrong in the pkgbuild. I get this error on install:
==> ERROR: license should be an array

I believe it should be:
license=("custom")